version: '3'
services:
  node-test-node:
    container_name: node-test-node
    build:
      context: ./
      dockerfile: .docker/Dockerfile
      args:
        APP_ENV: "dev"
    image: node-test/node
    ports:
      - '3001:3001'
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.node-test.rule=Host(`node-test.env`)"
      - "traefik.http.routers.node-test.entrypoints=web"
    environment:
      APP_ENV: "dev"
    volumes:
      - .:/var/nodejs/
    restart: always
    networks:
      - traefik-dev

networks:
  traefik-dev:
    external:
      name: traefik-docker-rp_traefik-dev # to adapt according the network name created by docker
